<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/AVSCommon/AVS/Attachment/MockAttachmentManager.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li><li class="navelem"><a class="el" href="dir_1135dc1123fe43c3ee136d2cf31a0c46.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_7bdff736f20bfd31c081269ae0dc0c4a.html">AVS</a></li><li class="navelem"><a class="el" href="dir_1977e7305461c7cf8192fd3f175ab4fc.html">Attachment</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">MockAttachmentManager.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_attachment_manager_interface_8h_source.html">AVSCommon/AVS/Attachment/AttachmentManagerInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MockAttachmentManager.h:</div>
<div class="dyncontent">
<div class="center"><img src="_mock_attachment_manager_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8h">
<area shape="rect" id="node6" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="104,119,312,157"/>
<area shape="rect" id="node7" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="499,205,701,244"/>
<area shape="rect" id="node10" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="499,452,701,491"/>
<area shape="rect" id="node14" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="297,625,498,664"/>
<area shape="rect" id="node13" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="488,539,650,577"/>
<area shape="rect" id="node15" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1102,292,1264,331"/>
<area shape="rect" id="node38" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2170,545,2273,571"/>
<area shape="rect" id="node18" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1613,379,1760,404"/>
<area shape="rect" id="node20" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1372,539,1548,577"/>
<area shape="rect" id="node33" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1422,459,1530,484"/>
<area shape="rect" id="node34" href="_reader_8h.html" title="Reader.h" alt="" coords="1649,459,1724,484"/>
<area shape="rect" id="node37" href="_writer_8h.html" title="Writer.h" alt="" coords="1890,459,1958,484"/>
<area shape="rect" id="node21" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1515,625,1691,664"/>
<area shape="rect" id="node23" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1352,712,1566,751"/>
<area shape="rect" id="node26" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="968,799,1144,837"/>
<area shape="rect" id="node27" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1691,712,1867,751"/>
<area shape="rect" id="node31" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1080,712,1277,751"/>
<area shape="rect" id="node32" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2147,885,2323,924"/>
<area shape="rect" id="node28" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1691,799,1867,837"/>
<area shape="rect" id="node29" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1896,885,2072,924"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_mock_attachment_manager_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_a_v_s_common_2_a_v_s_2_attachment_2_mock_attachment_manager_8hdep">
<area shape="rect" id="node2" href="_audio_input_processor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/test/AudioInputProcessor\lTest.cpp" alt="" coords="5,119,205,184"/>
<area shape="rect" id="node3" href="_alerts_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertsCapability\lAgentTest.cpp" alt="" coords="228,119,409,184"/>
<area shape="rect" id="node4" href="_notifications_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/test/Notifications\lCapabilityAgentTest.cpp" alt="" coords="432,119,631,184"/>
<area shape="rect" id="node5" href="_speaker_manager_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/test/Speaker\lManagerTest.cpp" alt="" coords="655,119,861,184"/>
<area shape="rect" id="node6" href="_revoke_authorization_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/a4btest/RevokeAuthorization\lHandlerTest.cpp" alt="" coords="886,119,1129,184"/>
<area shape="rect" id="node7" href="_endpoint_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/EndpointHandler\lTest.cpp" alt="" coords="1154,119,1352,184"/>
<area shape="rect" id="node8" href="_software_info_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/SoftwareInfoTest.cpp" alt="" coords="1376,125,1599,177"/>
<area shape="rect" id="node9" href="_user_inactivity_monitor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/UserInactivityMonitor\lTest.cpp" alt="" coords="1623,119,1846,184"/>
<area shape="rect" id="node10" href="_template_runtime_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/TemplateRuntime/test\l/TemplateRuntimeTest.cpp" alt="" coords="1869,119,2047,184"/>
</map>
</div>
</div>
<p><a href="_mock_attachment_manager_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">alexaClientSDK::avsCommon::avs::attachment::test::MockAttachmentManager</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock class that implements the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment.html">alexaClientSDK::avsCommon::avs::attachment</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test.html">alexaClientSDK::avsCommon::avs::attachment::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
